View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000061Ecere SDKidepublic2008-05-04 05:162014-05-01 02:22
Reporterjerome 
Assigned To 
PriorityhighSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version0.44.10 64 
Summary0000061: When a crash occurs within a function without debug symbol...
DescriptionThe proper frame stack appears as if it was selected in the call stack / code editor icons, yet it doesn't seem selected in GDB as watches say:

"No source file found for selected frame"

For watches to work, one must go to the call stack and double click or press enter on the already selected frame... Additionally, a GoToLineNumber should be done on the call stack to the selected frame so that when pressing Alt-7 one is already on the current frame line.

NOTE: Are the cursors for "selected" versus "stopped" frame correct, e.g. not inverted from the common standards in VS etc.? (Arrow versus block).
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0001238)
jerome (administrator)
2014-05-01 02:22

This may have been an issue with GDB 6.3, and may have been fixed by:

https://github.com/ecere/ecere-sdk/commit/362ff073840724260f82006c65111208041b2a59 [^]

As for the icons, they're good as they are now:
- Square for the 'stopped' frame, arrow for the 'selected' frame

Disregarding the GoToLineNumber suggestion, as the cursor will be where you last left it which should be the last selected frame unless you intended to move it.

- Issue History
Date Modified Username Field Change
2008-05-04 05:16 jerome New Issue
2008-05-04 06:27 jerome Status new => assigned
2008-05-04 06:27 jerome Assigned To => redj
2008-05-23 18:17 jerome Priority normal => high
2010-07-29 15:37 jerome Relationship added child of 0000431
2010-08-07 18:09 jerome Status assigned => new
2010-08-07 18:11 jerome Assigned To redj =>
2012-03-08 16:52 redj Target Version => 0.45 Ginkakuji
2012-03-08 21:21 redj Relationship deleted child of 0000431
2012-03-29 07:52 redj Category => ide
2012-03-29 07:52 redj Project @3@ => Ecere SDK
2013-04-25 20:15 jerome Target Version 0.45 Ginkakuji => 0.44.5 Debug
2014-05-01 02:22 jerome Note Added: 0001238
2014-05-01 02:22 jerome Fixed in Version => 0.44.10 64
2014-05-01 02:22 jerome Target Version 0.44.70 Debug =>
2014-05-01 02:22 jerome Status new => closed
2014-05-01 02:22 jerome Resolution open => fixed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker